package com.yonge.cooleshow.biz.dal.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;

/**
 * 收入支出枚举
 * @Author: liweifan
 * @Data: 2022/4/7 15:48
 */
public enum InOrOutEnum implements BaseEnum<String, InOrOutEnum> {

    IN("收入"),
    OUT("支出");

    @EnumValue
    private String code;
    private String msg;

    InOrOutEnum(String msg) {
        this.code = getCode();
        this.msg = msg;
    }

    @Override
    public String getCode() {
        return this.name();
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }
}
